- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions | Protected Member Functions | Properties

# QState Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qstate.h.

`#include <qstate.h>`

Inheritance diagram for QState:
[legend]

List of all members.

## Public Types
enum | ChildMode { ExclusiveStates, ParallelStates }
## Signals
void | finished ()
void | propertiesAssigned ()
## Public Member Functions
| QState (QState *parent=0)
| QState (ChildMode childMode, QState *parent=0)
| ~QState ()
QAbstractState * | errorState () const
void | setErrorState (QAbstractState *state)
void | addTransition (QAbstractTransition *transition)
QSignalTransition * | addTransition (QObject *sender, const char *signal, QAbstractState *target)
QAbstractTransition * | addTransition (QAbstractState *target)
void | removeTransition (QAbstractTransition *transition)
QList< QAbstractTransition * > | transitions () const
QAbstractState * | initialState () const
void | setInitialState (QAbstractState *state)
ChildMode | childMode () const
void | setChildMode (ChildMode mode)
void | assignProperty (QObject *object, const char *name, const QVariant &value)
## Protected Member Functions
void | onEntry (QEvent *event)
void | onExit (QEvent *event)
bool | event (QEvent *e)
| QState (QStatePrivate &dd, QState *parent)
## Properties
QAbstractState | initialState
QAbstractState | errorState
ChildMode | childMode

## Member Enumeration Documentation

enum ChildMode

Search for all occurrences

Enumerator:

  ExclusiveStates | Search for all occurrences
  ParallelStates | Search for all occurrences

Definition at line 69 of file qstate.h.

                       {
            ExclusiveStates,
            ParallelStates
        };

## Constructor & Destructor Documentation

QState | ( | QState * | parent = `0` | ) |

QState | ( | ChildMode | childMode,
|  | QState * | parent = `0`
| ) |  |

~QState | ( |  | ) |

QState | ( | QStatePrivate & | dd,
|  | QState * | parent
| ) |  | `[protected]`

## Member Function Documentation

QAbstractState* errorState | ( |  | ) | const

Search for all occurrences

void setErrorState | ( | QAbstractState * | state | ) |

Search for all occurrences

void addTransition | ( | QAbstractTransition * | transition | ) |

Search for all occurrences

QSignalTransition* addTransition | ( | QObject * | sender,
|  | const char * | signal,
|  | QAbstractState * | target
| ) |  |

Search for all occurrences

QAbstractTransition* addTransition | ( | QAbstractState * | target | ) |

Search for all occurrences

void removeTransition | ( | QAbstractTransition * | transition | ) |

Search for all occurrences

QList<QAbstractTransition*> transitions | ( |  | ) | const

Search for all occurrences

QAbstractState* initialState | ( |  | ) | const

Search for all occurrences

void setInitialState | ( | QAbstractState * | state | ) |

Search for all occurrences

ChildMode childMode | ( |  | ) | const

Search for all occurrences

void setChildMode | ( | ChildMode | mode | ) |

Search for all occurrences

void assignProperty | ( | QObject * | object,
|  | const char * | name,
|  | const QVariant & | value
| ) |  |

Search for all occurrences

void finished | ( |  | ) | `[signal]`

Search for all occurrences

void propertiesAssigned | ( |  | ) | `[signal]`

Search for all occurrences

void onEntry | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractState.

Reimplemented in QStateMachine.

void onExit | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractState.

Reimplemented in QStateMachine.

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractState.

Reimplemented in QStateMachine.

## Property Documentation

QAbstractState initialState `[read, write]`

Search for all occurrences

Definition at line 64 of file qstate.h.

QAbstractState errorState `[read, write]`

Search for all occurrences

Definition at line 65 of file qstate.h.

ChildMode childMode `[read, write]`

Search for all occurrences

Definition at line 66 of file qstate.h.

The documentation for this class was generated from the following file:

- QtCore/qstate.h

QState QState QState QState QState QState QState QState QState QState
QState QState QState QState QState QState QState QState QState QState